Skip to main content
PUT
/
v1
/
secrets
Upsert or delete secrets
curl --request PUT \
  --url https://api.example.com/v1/secrets \
  --header 'Content-Type: application/json' \
  --data '
{
  "secrets": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
import requests

url = "https://api.example.com/v1/secrets"

payload = { "secrets": [
{
"key": "<string>",
"value": "<string>"
}
] }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({secrets: [{key: '<string>', value: '<string>'}]})
};

fetch('https://api.example.com/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "upserted_keys": [
      "<string>"
    ],
    "deleted_keys": [
      "<string>"
    ]
  }
}
"<string>"
"<string>"
"<string>"

Body

application/json

Request body for the PUT /secrets endpoint.

secrets
SecretKeyValue · object[]
required

Response

Successful Response

data
UpsertOrDeleteSecretsResult · object
required

Result payload listing which keys were upserted and which were deleted.